diff -aurN a/mssl.c b/mssl.c
--- a/mssl.c	2009-01-02 04:03:20.000000000 -0500
+++ b/mssl.c	2018-06-01 20:59:26.447052020 -0400
@@ -136,14 +136,20 @@
 	if (!bio_err)
 	{
 		SSL_library_init();
+#if OPENSSL_API_COMPAT < 0x10100000L
 		SSL_load_error_strings();
+#endif
 
 		/* error write context */
 		bio_err = BIO_new_fp(stderr, BIO_NOCLOSE);
 	}
 
 	/* create context */
+#if OPENSSL_API_COMPAT < 0x10100000L
 	meth = SSLv23_method();
+#else
+	meth = TLS_method();
+#endif
 
 	return SSL_CTX_new(meth);
 }
